{% extends "base.html" %}
{% load static %}

{% block style %}
    <link rel="stylesheet" href="{% static "css/global.css" %}" />
    <link rel="stylesheet" href="{% static "css/cv.css" %}" />
{% endblock style %}

{% block body %}
    <div class="export-button">
        <button class="cv-export-button">Export</button>
    </div>

    <div class="preview-cv">
        <div id="cv-to-export" class="cv-page">
            {% if raw %}
                {% include "components/raw-cv.html" %}
            {% else %}
                {% include "components/cv.html" %}
            {% endif %}

            {% comment %} <small class="full-cv-link">
                My full and updated CV on: <a href="{% url 'cv-preview' %}">https://jlauret.baka-no-laboratory.com/cv/preview</a>
            </small> {% endcomment %}
        </div>
    </div>
{% endblock body %}


{% block script %}
    <script src="{% static "js/html2pdf.bundle.min.js" %}"></script>
    <script src="{% static "js/html2canvas.min.js" %}"></script>

    <script>
        (() => {
            const opt = {
                margin:         1,
                filename:       '{{ identity.firstname }}_{{ identity.lastname }}.pdf',
                image:          { type: 'png', quality: 1 },
                html2canvas:    { scale: 2.5 },
                jsPDF:          { unit: 'mm', format: 'a4', orientation: 'portrait' },
                pagebreak:      { mode: 'avoid-all' }
            };

            const exportCv = (e) => {
                const cv = document.getElementById("cv-to-export");
                html2canvas(cv, {
                    scale: 5,
                }).then((canvas) => {
                    document.body.appendChild(canvas);
                    html2pdf(canvas, opt)
                });
            }

            document.querySelectorAll('.cv-export-button').forEach(button => {
                button.addEventListener('click', exportCv)
            })            
        })()
    </script>
{% endblock script %}